<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100137";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
		////Arrastrando Valores de Consulta
			$CveTraEn=strtoupper($_POST['txt_CveTra']) or $CveTraEn=strtoupper($_GET['txt_CveTra']);
			$NoDocEn=strtoupper($_POST['NoDocSKP']) or $NoDocEn=strtoupper($_GET['NoDocSKP']);
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
			////Identificar las Coordenadas Geograficas de Entrega
			$sql_CG1 = mysql_query("select * from tabla_trentrega WHERE CVE_CUENTA='$CveCueCR1' AND NO_RUTA='$CveTraEn' AND DOCUMENTO='$NoDocEn'");
			if (mysql_numrows($sql_CG1)==0) echo "";
			else{
			$registro_CG1=mysql_fetch_array($sql_CG1);
			}
			if (mysql_numrows($sql_CG1)>0)
			{
			$Lat_Con=$registro_CG1["LATITUD"];
			$Lon_Con=$registro_CG1["LONGITUD"];
			}
	
////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<style type="text/css">
	#Map
	{
		/*Dimensiones Originales
		width: 98%;
		height: 500px;
		margin: auto;
		border: 1px solid #BBB;*/
		
		width: 100%;
		height: 400px;
		margin: auto;
		border: 1px solid #BBB;
	}	
</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

<!-- Inicia Detector de Geolocalizador -->
<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>

<script type="text/javascript">
	
		////////////////////////////////////////////////////////////////////////////////////////////
		
		var map = null;		
				
		////////////////////////////////////////////////////////////////////////////////////////////		

		function init()
		{
			if(!checkGeolocationSupport())
			{
				alert("Sorry but your browser does not have geolocation support.");
			}

			map = setupMap();
		
			findWhereAmI();
		}	
		
		////////////////////////////////////////////////////////////////////////////////////////////		

		function setupMap()
		{
			var theOptions = 
			{
				zoom: 16,
				center: new google.maps.LatLng(4, -72),
				mapTypeControl: false,
				mapTypeId: google.maps.MapTypeId.ROADMAP,
				navigationControlOptions: 
				{
					style: google.maps.NavigationControlStyle.SMALL
				}
			};

			return new google.maps.Map(document.getElementById("Map"), theOptions);
  		}

		////////////////////////////////////////////////////////////////////////////////////////////		
		
		function checkGeolocationSupport()
		{
			return navigator.geolocation;
		}		
		
		function findWhereAmI()
		{
			navigator.geolocation.getCurrentPosition(onSuccessGeolocating, 
			                                         onErrorGeolocating,
			                                         {
			                                         		enableHighAccuracy: true,
			                                         		maximumAge:         5000,
			                                         		timeout:            20000
			                                         });
		}
		
		function onSuccessGeolocating(position)
		{
			var userLocation = new google.maps.LatLng("<?PHP echo $Lat_Con; ?>", 
 			                                          "<?PHP echo $Lon_Con; ?>");

			var message = "Entregue Aquí!\n\n" + 
			              "\tLatitude = " + position.coords.latitude + "\n" + 
			              "\tLongitude = " + position.coords.longitude;

			var marker = new google.maps.Marker({
				position: userLocation, 
				map: map, 
				title: message
			});
 			                                          
			map.setCenter(userLocation);
		}
		
		function onErrorGeolocating(error)
		{
			switch(error.code)
			{
				case error.PERMISSION_DENIED:
					alert('ERROR: User denied access to track physical position!');
				break;
				
				case error.POSITION_UNAVAILABLE:
					alert("ERROR: There is a problem getting the position of the device!");
				break;
				
				case error.TIMEOUT:
					alert("ERROR: The application timed out trying to get the position of the device!");
				break;
				
				default:
					alert("ERROR: Unknown problem!");
				break;
			}
		}	
</script>

</head>

<body onload="init()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsetr where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
			
////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||<Br>Tracking</h1>
	</div>
  <div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
		
      <form id="form1" name="form1" method="post" action="7-VisualizarEntregasClave2.php">
        <table border="0" style="border-collapse: collapse" widtH="97%">
  		<tr>
		    <td align="center"><Br>
	      <font class="Clase_TipoLetra">|| Visualizar Entregas ||<Br><Br></font></td>
	      </tr>
		  <tr>
		    <td align="center">
            <div id="main">
			<section>
				<div id="Map">&nbsp;</div>
			</section>
</div>
            </td>
	      </tr>
		  <tr>
		    <td></td>
	      </tr>
		  <tr>
		    <td align="center"><input type="button" value="Regresar" onclick=" window.location.href='<?PHP echo"7-VisualizarEntregasClave2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&VPN=$VpnEn&LT=$LtEn&CtaSKP=$CtaSesionEn&txt_CveTra=$CveTraEn";?>' " /></td>
	      </tr>
		  <tr>
		    <td align="center">&nbsp;</td>
	      </tr>
		</table>
	</form>

      <!-- Termina Cuerpo de la Pantalla -->		
	</div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
